// creator  : weidu.exe (version 23100)
// argument : KPLEND01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPLEND01~

IF ~Global("KeepPlot","GLOBAL",7)~ THEN BEGIN 0 // from:
  SAY #40525 /* ~A good day to you, my <PRO_LADYLORD> <CHARNAME>.  I am sure you are wondering what brings us here before you...~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 0
END

IF ~~ THEN BEGIN 1 // from: KPLEND02:0.0
  SAY #40527 /* ~In my own time, in my own time.  Introductions, first.  My colleague and I are moneylenders, you see, from Athkatla.  We have come here to collect a debt that is owed by the late Lord de'Arnise.~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 1
END

IF ~~ THEN BEGIN 2 // from: KPLEND02:1.0
  SAY #40530 /* ~We do know that the late Lord is quite dead... but the debt is attached to his property.  So, I believe, it falls on you to repay it, <PRO_LADYLORD> <CHARNAME>.~ */
  IF ~~ THEN EXTERN ~KPDOMO01~ 93
END

IF ~~ THEN BEGIN 3 // from: KPDOMO01:93.0
  SAY #40532 /* ~But, on the contrary, there is.~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 2
END

IF ~~ THEN BEGIN 4 // from: KPLEND02:3.0
  SAY #40540 /* ~Of course, if you do decide to refuse... well, we will simply have to take exception to that.  We can't let debts slide, especially debts made by nobles.  We would be out of business!~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 4
END

IF ~~ THEN BEGIN 5 // from: KPLEND02:4.0
  SAY #40542 /* ~I understand that a merchant recently made a similar threat, and we can do the same... we will call in those debts immediately if you refuse.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #40546 /* ~And, of course, we can have this done... even if something were to, say, happen to us.~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 5
END

IF ~~ THEN BEGIN 7 // from: KPLEND02:6.0
  SAY #40553 /* ~We thank you.~ */
  IF ~~ THEN DO ~ActionOverride("kplend02",MoveToPoint([1549.1192]))
ActionOverride("kplend02",EscapeArea())
MoveToPoint([1499.1196])
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: KPLEND02:7.0
  SAY #40555 /* ~A partial recovery is better then we expected.~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 8
END

IF ~~ THEN BEGIN 9 // from: KPLEND02:9.0
  SAY #40558 /* ~Why would we take only half of what is owed?  I suggest you think about it again, and keep in mind the angry peasants who will blame you for their predicament.~ */
  IF ~PartyGoldGT(1999)~ THEN REPLY #40559 /* ~Very well.  Two thousand crowns it is.~ */ DO ~TakePartyGold(2000)~ EXTERN ~KPLEND02~ 6
  IF ~~ THEN REPLY #40560 /* ~You ask for too much, and you will get nothing from me.  Begone!~ */ EXTERN ~KPLEND02~ 12
  IF ~~ THEN REPLY #40561 /* ~You are obviously crooks, and I will not abide it.  Execute these two immediately!~ */ EXTERN ~KPLEND02~ 10
END

IF ~~ THEN BEGIN 10 // from: KPLEND02:10.0
  SAY #40563 /* ~You said this wouldn't happen!  You said <PRO_HESHE> was an easy mark!!~ */
  IF ~~ THEN EXTERN ~KPLEND02~ 11
END

IF ~~ THEN BEGIN 11 // from: KPLEND02:12.0
  SAY #40574 /* ~Just wait until your people become angered when they find out who is the source of their misery!  Just you wait!~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut32i")
~ EXIT
END
